# $Revision: 1.15 $, $Date: 2004/07/03 21:54:45 $
Summary:	A clone of the famous 8bit Atari game Robbo
Summary(pl):	Klon synnej gry Robbo znanej z 8-bitowych Atari
Name:		gnurobbo
Version:	0.57
Release:	3
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/gnurobbo/%{name}-%{version}.tar.bz2
# Source0-md5:	575547d729528a13a0a56281311cc52e
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://gnurobbo.sf.net/
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Robbo is very addictive logic game. You must help
little robot to get out of unfriendly planet, collecting
parts of emergency capsule.

%description -l pl
GNU Robbo jest bardzo uzaleniajc gr logiczn. Naley pomc
maemu robotowi uciec z nieprzyjaznych planet zbierajc czci
kapsuy ratunkowej.

%prep
#%setup -q
# blegh, tarball contains icons in /... don't mess in %_builddir
%setup -q -c

# workaround for bad timestamps on files in source tarball
#find . -type f | xargs touch

%build
cd %{name}-%{version}
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cp config.h{,.in}
%{__automake}
%configure \
	CPPFLAGS="-I/usr/X11R6/include" \
	LDFLAGS="%{rpmldflags} -L/usr/X11R6/lib"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

cd %{name}-%{version}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{name}-%{version}/{AUTHORS,Bugs,ChangeLog,README,TODO}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnurobbo.spec,v $
Revision 1.15  2004/07/03 21:54:45  havner
- applnk -> vfolders

Revision 1.14  2003/11/10 23:22:20  qboosh
- BR: ac,am,lt

Revision 1.13  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.12  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.11  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:48:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.8  2002/11/23 20:52:43  qboosh
- added workaround to avoid leaving trash in %%_builddir

Revision 1.7  2002/11/15 22:24:28  wolf
- new 0.57 (rel 2)

Revision 1.6  2002/11/13 15:46:29  wolf
- 0.57

Revision 1.5  2002/11/03 23:18:54  wolf
- 0.56

Revision 1.4  2002/10/18 13:58:45  wolf
- 0.55
- better description
- use desktop file
- new icon

Revision 1.3  2002/10/16 09:02:10  qboosh
- typo

Revision 1.2  2002/10/15 16:36:22  wolf
- SDL-devel is BR: by SDL_ttf-devel
- pl desc
- URL

Revision 1.1  2002/10/15 11:54:06  jajcus
- new spec
